Skip to main content
GET
/
v1
/
transfers
List transfers
curl --request GET \
  --url https://api.waycore.com/v1/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "batchId": "<string>",
      "connectionId": "<string>",
      "sourceAccountId": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "rail": "internalTransfer",
      "status": "queued",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "destinationAccountId": "<string>",
      "counterparty": {
        "name": "<string>",
        "accountNumber": "<string>",
        "routingNumber": "<string>",
        "iban": "<string>",
        "swiftBic": "<string>",
        "bankName": "<string>",
        "bankCountry": "<string>",
        "address": {
          "line1": "<string>",
          "city": "<string>",
          "country": "<string>",
          "line2": "<string>",
          "region": "<string>",
          "postalCode": "<string>"
        }
      },
      "memo": "<string>",
      "executionDate": "2023-12-25",
      "failureReason": "<string>",
      "matchedTransactionId": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Query Parameters

cursor
string | null

Pagination cursor from a previous response.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 500
sort
enum<string>
default:-createdAt

Sort order. Prefix with - for descending.

Available options:
createdAt,
-createdAt,
updatedAt,
-updatedAt
fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

accountId
string | null

Filter by source or destination account identifier.

connectionId
string | null

Filter by connection identifier.

status
enum<string> | null

Filter by transfer status.

Available options:
queued,
executing,
pendingBankApproval,
completed,
failed,
cancelled
rail
enum<string> | null

Filter by payment rail.

Available options:
internalTransfer,
ach,
wire,
swift,
fednow,
rtp
batchId
string | null

Filter by batch identifier to retrieve all transfers from a single request.

createdAtGte
string<date-time> | null

Return transfers created at or after this timestamp.

createdAtLt
string<date-time> | null

Return transfers created before this timestamp.

Response

Successful Response

data
Transfer · object[]
required
pagination
Pagination · object
required
meta
Meta · object
required